<template>
  <div class="main_div">
    <div class="loading" v-show="loading" role="alert">
      <loading></loading>
    </div>

    <h3>Traject {{ name }}</h3>
    <p>Gemaakt op: &nbsp;&nbsp;{{ data.created_at}}</p>
    <div>
      <button type="button" @click="goTo(data.id)">
        <span class="iconify view" data-icon="ant-design:eye-filled"
              data-inline="false"
              style="color: #ffffff; font-size: 22px;"></span>
      </button>
      <button type="button" @click="deleteTrajectory1(data.id)">
        <span class="iconify delete" data-icon="fluent:delete-20-filled"
              data-inline="false"
              style="color: #ffffff; font-size: 22px;"></span>
      </button>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex';
import Loading from '@/components/UI/atoms/Loading.vue';

export default {
  name: 'Trajectory',
  components: {
    Loading,
  },
  data() {
    return {
      loading: false,
    };
  },
  props: ['data', 'name'],
  methods: {
    ...mapActions('trajectories', ['deleteTrajectory']),
    goTo(id) {
      this.$router.push({ name: 'TrajectoryContent', params: { id } });
    },
    /* eslint-disable */
    async deleteTrajectory1(id) {
      // eslint-disable-next-line no-restricted-globals
      if (confirm('Weet je zeker dat je dit traject wilt verwijderen?')) {
        this.loading = true;
        try {
          await this.deleteTrajectory(id);
        } finally {
          await this.$store.dispatch('trajectories/getTrajectories');
        }
      }
    },
  },
};
</script>

<style scoped>
  div{
    font-family: 'Roboto', sans-serif;
    font-size: 1.4em;
    color: #09639B;
  }
  .main_div{
    background-color: rgba(9, 99, 155, 0.09);
    display: flex;
    justify-content: space-between;
    width: 70%;
    margin: 0 auto;
    padding: 15px 2% 0 2%;
    border-radius: 10px;
    flex-wrap: wrap;
  }
  h3{
    font-weight: 500;
    padding-bottom: 15px;
    font-size: 20px;
  }
  button{
    margin-left: 10px;
    background-color: transparent;
  }
  button:hover{
    opacity: 0.8;
  }
  .view{
    background-color: #09639B;
    padding: 3px;
    border-radius: 6px;
  }
  .edit{
    background-color: #FFAF51;
    padding: 3px;
    border-radius: 6px;
  }
  .delete{
    background-color: #E73E1C;
    padding: 3px;
    border-radius: 6px;
  }
  @media only screen and (max-width: 800px){
    .main_div{
      width: 85%;
    }
  }
</style>
